# Uses of Class
org.eclipse.ecf.remoteservice.RemoteServiceRegistrationImpl

Packages that use RemoteServiceRegistrationImpl
Package
Description
org.eclipse.ecf.remoteservice

## Uses of RemoteServiceRegistrationImpl in org.eclipse.ecf.remoteservice

Subclasses of RemoteServiceRegistrationImpl in org.eclipse.ecf.remoteservice
Modifier and Type
Class
Description
`class`
`RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration`
Fields in org.eclipse.ecf.remoteservice declared as RemoteServiceRegistrationImpl
Modifier and Type
Field
Description
`protected RemoteServiceRegistrationImpl`
RemoteServiceReferenceImpl.`registration`
Methods in org.eclipse.ecf.remoteservice that return RemoteServiceRegistrationImpl
Modifier and Type
Method
Description
`protected RemoteServiceRegistrationImpl`
RemoteServiceContainerAdapterImpl.`createRegistration()`
`protected RemoteServiceRegistrationImpl`
RSARemoteServiceContainerAdapter.`createRegistration()`
`protected RemoteServiceRegistrationImpl`
RemoteServiceRegistryImpl.`findRegistrationForRemoteServiceId(IRemoteServiceID remoteServiceID)`
`protected RemoteServiceRegistrationImpl`
RemoteServiceRegistryImpl.`findRegistrationForServiceId(long serviceId)`
`protected RemoteServiceRegistrationImpl`
RemoteServiceReferenceImpl.`getRegistration()`
`protected RemoteServiceRegistrationImpl[]`
RemoteServiceRegistryImpl.`getRegistrations()`
`protected RemoteServiceRegistrationImpl`
RemoteServiceContainerAdapterImpl.`getRemoteServiceRegistrationImpl(IRemoteServiceReference reference)`
Methods in org.eclipse.ecf.remoteservice with parameters of type RemoteServiceRegistrationImpl
Modifier and Type
Method
Description
`protected IRemoteServiceRegisteredEvent`
RemoteServiceContainerAdapterImpl.`createRegisteredEvent(RemoteServiceRegistrationImpl registration)`
`protected AbstractRemoteService`
RemoteServiceContainerAdapterImpl.`createRemoteService(RemoteServiceRegistrationImpl registration)`
`protected IRemoteServiceUnregisteredEvent`
RemoteServiceContainerAdapterImpl.`createUnregisteredEvent(RemoteServiceRegistrationImpl registration)`
`protected void`
RemoteServiceContainerAdapterImpl.`handleServiceUnregister(RemoteServiceRegistrationImpl registration)`
`void`
RemoteServiceRegistryImpl.`publishService(RemoteServiceRegistrationImpl serviceReg)`
`void`
RemoteServiceRegistryImpl.`unpublishService(RemoteServiceRegistrationImpl serviceReg)`
`void`
IRegistrationListener.`unregister(RemoteServiceRegistrationImpl registration)`
Constructors in org.eclipse.ecf.remoteservice with parameters of type RemoteServiceRegistrationImpl
Modifier
Constructor
Description
``
`RemoteServiceReferenceImpl(RemoteServiceRegistrationImpl registration)`